MagickWand: MagickWand.h File Reference

# MagickWand.h File Reference

`#include <stdio.h>`
`#include <stdarg.h>`
`#include <stdlib.h>`
`#include <sys/types.h>`
`#include "magick/MagickCore.h"`
`#include "wand/animate.h"`
`#include "wand/compare.h"`
`#include "wand/composite.h"`
`#include "wand/conjure.h"`
`#include "wand/convert.h"`
`#include "wand/deprecate.h"`
`#include "wand/display.h"`
`#include "wand/drawing-wand.h"`
`#include "wand/identify.h"`
`#include "wand/import.h"`
`#include "wand/magick-property.h"`
`#include "wand/magick-image.h"`
`#include "wand/mogrify.h"`
`#include "wand/montage.h"`
`#include "wand/pixel-iterator.h"`
`#include "wand/pixel-wand.h"`
`#include "wand/stream.h"`
`#include "magick/magick-config.h"`

Go to the source code of this file.

## Defines
#define | _MAGICKWAND_CONFIG_H
#define | WandExport
#define | ModuleExport
#define | WandGlobal
#define | MaxTextExtent 4096
#define | WandSignature 0xabacadabUL
#define | wand_attribute(x)
## Typedefs
typedef struct _MagickWand | MagickWand
## Functions
WandExport char * | MagickGetException (const MagickWand *, ExceptionType *)
WandExport ExceptionType | MagickGetExceptionType (const MagickWand *)
WandExport long | MagickGetIteratorIndex (MagickWand *)
WandExport MagickBooleanType | IsMagickWand (const MagickWand *)
WandExport MagickBooleanType | MagickClearException (MagickWand *)
WandExport MagickBooleanType | MagickSetIteratorIndex (MagickWand *, const long)
WandExport MagickWand * | CloneMagickWand (const MagickWand *)
WandExport MagickWand ** | DestroyMagickWand (MagickWand *)
WandExport MagickWand *** | NewMagickWand (void)
WandExport MagickWand **** | NewMagickWandFromImage (const Image *)
WandExport void | ClearMagickWand (MagickWand *)
WandExport void | MagickWandGenesis (void)
WandExport void | MagickWandTerminus (void)
WandExport void * | MagickRelinquishMemory (void *)
WandExport void * | MagickResetIterator (MagickWand *)
WandExport void * | MagickSetFirstIterator (MagickWand *)
WandExport void * | MagickSetLastIterator (MagickWand *)

## Define Documentation

#define _MAGICKWAND_CONFIG_H

#define MaxTextExtent 4096

#define ModuleExport

#define wand_attribute | ( | x |  | ) |

#define WandExport

#define WandGlobal

#define WandSignature 0xabacadabUL

## Typedef Documentation

typedef struct _MagickWand MagickWand

## Function Documentation

WandExport void ClearMagickWand | ( | MagickWand * |  | ) |

WandExport MagickWand* CloneMagickWand | ( | const MagickWand * |  | ) |

WandExport MagickWand* * DestroyMagickWand | ( | MagickWand * |  | ) |

WandExport MagickBooleanType IsMagickWand | ( | const MagickWand * |  | ) |

WandExport MagickBooleanType MagickClearException | ( | MagickWand * |  | ) |

WandExport char* MagickGetException | ( | const MagickWand * | ,
|  | ExceptionType * |  |
| ) |  |  |

WandExport ExceptionType MagickGetExceptionType | ( | const MagickWand * |  | ) |

WandExport long MagickGetIteratorIndex | ( | MagickWand * |  | ) |

WandExport void * MagickRelinquishMemory | ( | void * |  | ) |

WandExport void * MagickResetIterator | ( | MagickWand * |  | ) |

WandExport void * MagickSetFirstIterator | ( | MagickWand * |  | ) |

WandExport MagickBooleanType MagickSetIteratorIndex | ( | MagickWand * | ,
|  | const | long |
| ) |  |  |

WandExport void * MagickSetLastIterator | ( | MagickWand * |  | ) |

WandExport void MagickWandGenesis | ( | void |  | ) |

WandExport void MagickWandTerminus | ( | void |  | ) |

WandExport MagickWand* * * NewMagickWand | ( | void |  | ) |

WandExport MagickWand* * * * NewMagickWandFromImage | ( | const Image * |  | ) |